0

Newbie here. I've just loaded OSX Catalina on my iMac. I've installed GDAL 2.4 complete from the Kyngchaos site. The install works great for all GDAL commands except for the python ones (gdal_polygonize.py for example). Then I get this error:

-bash: /Library/Frameworks/GDAL.framework/Programs/gdal_polygonize.py:/Library/Frameworks/Python.framework/Versions/3.6/bin/python3: bad interpreter: No such file or directory

The python version I'm running is python 3.7.5

In my system there is no /Library/Frameworks/Python.frameworks folder. Instead, it seems to be here:
/usr/local/bin/python3.7

However, my PATH variable includes this folder:

/Library/Frameworks/GDAL.framework/Programs:/Library/Frameworks/PROJ.framework/Programs:/Library/Frameworks/SQLite3.framework/Programs:/Library/Frameworks/UnixImageIO.framework/Programs:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin

What am I doing wrong? how do I fix this?

0

Was facing the same issue as well. After I downloaded and installed python using the macOS 64-bit installer for 3.6.5 from https://www.python.org/downloads/mac-osx/ , python was installed in the location /Library/Frameworks/Python.framework/Versions/3.6

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.